Subject: Re: bug#49407: Request: Specify default values in `map-let` in Map.el

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 30 Jul 2023 15:53:20 +0200

close 49407 30.1
quit

Okam [2023-07-29 00:37 +0000] wrote:
> Basil L. Contovounesios wrote:
>> Okam [2023-07-27 01:39 +0000] wrote:
>>> From: Earl Hyatt <[email-masked]>
>> 
>> I think your past contributions were under "Earl Hyatt
>> <[email-masked]>", right?  Is [email-masked] your current
>> address?
>
> Yes, I changed addresses. The mailmap makes it look like I used the old 
> address in `git log`.

Oh, sorry, I actually didn't notice you had existing mailmap entries in
place.

> Would it be OK to make it so that the old address 
> shows as the new one instead?

Is [email-masked] your canonical address?
If so, what we want is the following, right?

diff --git a/.mailmap b/.mailmap
index 8454eb9154c..0531cc0c290 100644
--- a/.mailmap
+++ b/.mailmap
@@ -51,8 +51,7 @@ David M. Koppelman <[email-masked]>
 Deniz Dogan <[email-masked]> <[email-masked]>
 Dick R. Chiang <[email-masked]>
 Dick R. Chiang <[email-masked]> dickmao <none>
-Earl Hyatt <[email-masked]>
-Earl Hyatt <[email-masked]> <[email-masked]>
+Earl Hyatt <[email-masked]> <[email-masked]>
 Edward M. Reingold <[email-masked]>
 Eli Zaretskii <[email-masked]> <[email-masked]>
 Emilio C. Lopes <[email-masked]>

> I changed it to "An element of ARGS fails to match if PAT does not match 
> the associated value or the default value.  The overall pattern fails
> to match if any element of ARGS fails to match." Does that work?

WFM, thank you!  Installed and closing as done:

Allow default values in 'map-let' and the pcase 'map' form
19777b7c864 2023-07-30 15:20:27 +0200
https://git.sv.gnu.org/cgit/emacs.git/commit/?id=19777b7c864

I'll also bump the map.el Version header in a week or so if no-one beats
me to it.

-- 
Basil